> ## Documentation Index
> Fetch the complete documentation index at: https://docs.partnero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve customer

> Approve a suspended customer to reactivate them in your program

## Endpoint

```
POST https://api.partnero.com/v1/customers/{key}/approve
```

<Note>
  This endpoint is available for affiliate programs only.
</Note>

Approving a customer reactivates them after they have been [suspended](/api-reference/customers/suspend). Their transactions will resume generating commissions.

## Path parameters

| Parameter | Type   | Required | Description           |
| --------- | ------ | -------- | --------------------- |
| `key`     | string | Yes      | Customer's unique key |

## Request

```bash cURL theme={null}
curl --location --request POST 'https://api.partnero.com/v1/customers/customer_123/approve' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_API_KEY'
```

## Response

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "status": 1
  }
  ```
</ResponseExample>

## Error responses

| Status | Error              | Solution                          |
| ------ | ------------------ | --------------------------------- |
| 404    | Customer not found | Check the customer key is correct |
